## ros-melodic-yocs-math-toolkit 0.8.2

=== src/CMakeLists.txt ===
##############################################################################
# Subdirectories
##############################################################################

add_subdirectory(lib)
# add_subdirectory(tests)

=== src/lib/CMakeLists.txt ===
##############################################################################
# Sources
##############################################################################

file(GLOB SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp) 

##############################################################################
# Library
##############################################################################

add_library(${PROJECT_NAME} ${SOURCES})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} )

##############################################################################
# Installs
##############################################################################

install(TARGETS ${PROJECT_NAME}
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== debian/changelog ===
ros-melodic-yocs-math-toolkit (0.8.2-0stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 21 Jan 2019 16:13:45 -0000

ros-melodic-yocs-math-toolkit (0.8.0-0stretch) stretch; urgency=high

  * ecl deprecation macros
  * pretty printing vectors updated

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Fri, 06 May 2016 04:00:00 -0000

ros-melodic-yocs-math-toolkit (0.6.0-0stretch) stretch; urgency=high

  * updating package informations. remove email for authors. updating maintainer
  * Handle special case on sameFrame function
  * Add functions to compare frame ids ignoring the leading /, as it is
    frequently omitted.
    Geometry doxygen documented.
  * Contributors: Jihoon Lee, Jorge Santos

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 08 Jul 2014 04:00:00 -0000

ros-melodic-yocs-math-toolkit (0.5.2-0stretch) stretch; urgency=high

  * Some more functions added.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 05 Nov 2013 05:00:00 -0000

ros-melodic-yocs-math-toolkit (0.4.1-0stretch) stretch; urgency=high

  * Initial version: migrated here from https://github.com/yujinrobot/kobuki-x

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 08 Oct 2013 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-yocs-math-toolkit
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-ecl-build, ros-melodic-ecl-config, ros-melodic-ecl-exceptions, ros-melodic-ecl-formatters, ros-melodic-ecl-linear-algebra, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-tf
Homepage: http://ros.org/wiki/yocs_math_toolkit
Standards-Version: 3.9.2

Package: ros-melodic-yocs-math-toolkit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-ecl-build, ros-melodic-ecl-config, ros-melodic-ecl-exceptions, ros-melodic-ecl-formatters, ros-melodic-ecl-linear-algebra, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-tf
Description: Math toolkit for Yujin open control system.
 This package is intended to contain common use functions, mostly for simple mathematics but also for tf-related conversions. By no means it pretends to be an efficient and robust, widely used math library, but a play ground where to put common code that is typically repeated in many robot control programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-yocs-math-toolkit//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
